---
id: index
title: About the docs
slug: /
sidebar_position: 1
---

:::note
The docs are currently undergoing some heavy restructuring and development 👷‍♀️👷🏽 If something is unclear, don't hesitate to [let us know on Slack](https://join.slack.com/t/unleash-community/shared_invite/enQtNjUxMjU2MDc0MTAxLTJjYmViYjkwYmE0ODVlNmY1YjcwZGRmZWU5MTU1YTQ1Nzg5ZWQ2YzBlY2U1MjlmZDg5ZDRmZTMzNmQ5YmEyOGE)!
:::

Welcome to the Unleash documentation, your one-stop shop to everything Unleash. Whether you're just getting started or have been using Unleash for years, you should be able to find answers to all your questions here.

## Getting help

Have questions that you can't find the answer to in these docs? You can always turn to [the Unleash Slack community](https://join.slack.com/t/unleash-community/shared_invite/enQtNjUxMjU2MDc0MTAxLTJjYmViYjkwYmE0ODVlNmY1YjcwZGRmZWU5MTU1YTQ1Nzg5ZWQ2YzBlY2U1MjlmZDg5ZDRmZTMzNmQ5YmEyOGE) and ask us questions directly (or just come and hang out 😄).

## Documentation structure

Our documentation is split into four parts, using the [Diátaxis documentation framework](https://diataxis.fr/):
- [tutorials and introductory material](#tutorials)
- [how-to guides](#how-to-guides)
- [reference documentation](#reference-documentation)
- [topic guides](#topic-guides)

### Tutorials and introductory material {#tutorials}

New to Unleash? Not sure where to get started? The tutorials guide you through your first steps with Unleash:
- [Unleash introductory overview](unleash_overview.md)
- [Important Unleash concepts](important-concepts.md)
- [Quickstart guides](quickstart.md)

### How-to guides

Our how-to guides show you how to perform a number of common tasks that you'll want to do. Think of them as recipes. They are more advanced than the tutorials and assume you have some working knowledge of Unleash.

The guides are organized into the following categories:
- [API how-tos](/how-to/api)
- [Feature toggles, strategies, context, and general how-tos](/how-to/misc)
- [Users and permissions how-tos](/how-to/users-and-permissions)
- [Single Sign-On (SSO) how-tos](/how-to/sso)

### Reference documentation

The reference docs contain technical reference for Unleash and the API. Go here to find out how Unleash works and what configuration options are available. They're like an Unleash encyclopedia and assume you have a grip on key Unleash concepts.

The reference docs are organized into the following topics:
- [Addons](/addons)
- [API documentation](/api)
- [Unleash Client SDKs](/sdks)
- [Deployment and management of Unleash](/deploy)
- [Integrations with other systems](/integrations)
- [Unleash concepts](/reference/concepts)

### Topic guides

[The topic guides](/topics) discuss high-level concepts related to Unleash and provide extra background information and explanations around these concepts.

## Other resources and communities

💻 The core of Unleash is all open source and [hosted on GitHub](https://www.heroku.com/deploy/?template=https://github.com/Unleash/unleash "Unleash on GitHub").

💬 If you've got questions or just wanna chat to the team and other Unleash users, come [join our Slack community](https://join.slack.com/t/unleash-community/shared_invite/enQtNjUxMjU2MDc0MTAxLTJjYmViYjkwYmE0ODVlNmY1YjcwZGRmZWU5MTU1YTQ1Nzg5ZWQ2YzBlY2U1MjlmZDg5ZDRmZTMzNmQ5YmEyOGE)

🐦 You can also follow us [on Twitter](https://twitter.com/getunleash "Unleash on Twitter"), [LinkedIn](https://www.linkedin.com/company/getunleash/ "Unleash on LinkedIn"), or [Instagram](https://www.instagram.com/getunleash/ "Unleash on Instagram") for more updates and extra content.
